Subject: Re: [PATCH] MyFirstContribution: add avenues for getting help

From: Denton Liu <[email-masked]>
Date: Fri, 15 Nov 2019 14:05:28 -0800

Hi Emily,

On Fri, Nov 15, 2019 at 01:53:42PM -0800, Emily Shaffer wrote:
> With https://public-inbox.org/git/[email-masked]/ we
> now have a mentoring mailing list, to which we should direct new
> contributors who have questions.
> 
> Since #git-devel's traffic is fairly low, it should be OK to direct some
> questions there too. Mention some of the conventions in case folks are
> unfamiliar with IRC.
> 
> Because the mentoring list and #git-devel are both a subset of Git
> contributors, it's possible that no response is found on either forum,
> so list the main mailing list as a fallback and mention some of the
> conventions.
> 
> Signed-off-by: Emily Shaffer <[email-masked]>
> ---
>  Documentation/MyFirstContribution.txt | 32 +++++++++++++++++++++++++++
>  1 file changed, 32 insertions(+)
> 
> diff --git a/Documentation/MyFirstContribution.txt b/Documentation/MyFirstContribution.txt
> index 5e9b808f5f..9fe197c98e 100644
> --- a/Documentation/MyFirstContribution.txt
> +++ b/Documentation/MyFirstContribution.txt
> @@ -23,6 +23,38 @@ useful additional context:
>  - `Documentation/SubmittingPatches`
>  - `Documentation/howto/new-command.txt`
>  
> +[[getting-help]]
> +=== Getting Help
> +
> +If you get stuck, you can seek help in the following places.
> +
> +==== https://groups.google.com/forum/#!forum/git-mentoring[[email-masked]]
> +
> +This mailing list is targeted to new contributors and is a great place to post
> +questions and receive kind, detailed answers from volunteers on the Git
> +project. You must join the group to view messages or post.
> +
> +==== https://webchat.freenode.net/#git-devel[#git-devel] on Freenode
> +
> +This IRC channel is for conversations between Git contributors. If someone is
> +currently online and knows the answer to your question, you can receive help
> +in real time. Otherwise, you can read the
> +https://colabti.org/irclogger//irclogger_logs/git-devel[scrollback] to see
> +whether someone answered you. IRC does not allow offline private messaging, so
> +if you try to private message someone and then log out of IRC, they cannot
> +respond to you. It's better to ask your questions in the channel so that you
> +can be answered if you disconnect and so that others can learn from the
> +conversation.
> +
> +==== https://public-inbox.org/git[[email-masked]]
> +
> +This is the main Git project mailing list where code reviews, version
> +announcements, design discussions, and more take place. If you fail to receive
> +help via the channels above, you can ask your question here. You can join by
> +sending an email to [email-masked] with "subscribe git" in the body.
> +The Git list requires plain-text-only emails and prefers inline and
> +bottom-posting when replying to mail.

Perhaps we could explicitly mention that subscribing to the list is
optional and not required to post (especially since we CC everyone
here)? New contributors may be intimidated by the volume of mail going
through here so knowing that they don't have to subscribe might be
helpful.

Thanks,

Denton

> +
>  [[getting-started]]
>  == Getting Started
>  
> -- 
> 2.24.0.432.g9d3f5f5b63-goog
>